/* Nulstiller margin, padding og box-sizing for alle elementer */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Grundindstillinger for body */
body {
    min-height: 100vh;
    font-family: 'Roboto', sans-serif; /* Anvender Roboto font */
}

/* Grundindstillinger for h2 */
h2 {
    font-family: 'Roboto', sans-serif; /* Anvender Roboto font */
}

/* Navigationsbar start */
.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent baggrund */
    z-index: 10; /* Sørger for at headeren ligger øverst */
}

.navbar {
    display: flex;
    justify-content: space-between; /* Fordeler pladsen mellem elementer */
    align-items: center;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1); /* Tilføjer en skygge til navbaren */
    max-height: 100px; /* Maksimal højde på navbaren */
}

/* Navigation liste indstillinger */
nav ul {
    width: 100%;
    list-style: none; /* Fjerner punkttegn fra listeelementer */
    display: flex;
    justify-content: flex-end; /* Justerer indhold til højre */
    align-items: center;
}

nav li {
    height: 5rem;
}

nav li:first-child {
    margin-right: auto;
    max-width: 100px;
    height: auto;
}

nav a {
    height: 5rem;
    text-decoration: none; /* Fjerner understregning fra links */
    display: flex;
    align-items: center;
    color: white;
    padding: 0 2rem;
    font-size: 1.5rem;
}

.navimg {
    width: 10rem;
    padding-left: 50px;
}

/* Navigationsbar slut */

/* Burger menu til mobilvisning */
.burger-menu {
    display: none;
    flex-direction: column;
    cursor: pointer;
    background: none;
    border: none;
}

.burger-menu span {
    height: 3px;
    width: 25px;
    background: white;
    margin: 4px;
    border-radius: 2px;
}

/* Hero billede start */
.image-section h1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 3em;
    text-align: center;
    z-index: 1; /* Sørger for at teksten ligger øverst */
}

.imgsize {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.image-section {
    height: 1020px;
    overflow: hidden;
    position: relative;
}

/* Herobillede slut */

aside {
    font-size: 30px;
    text-decoration: underline overline;
}

/* Produktsektion på forsiden */
.forside-produkt-sektion {
    display: flex;
    height: 25rem;
    justify-content: space-around;
}

/* Produktoverskrift */
.produkt-overskrift {
    display: flex;
    justify-content: space-around;
    flex-direction: row;
    height: auto;
}

.sectioncolomn {
    display: flex;
    flex-direction: column;
}

section h2 {
    display: flex;
    justify-content: space-around;
    padding-top: 2rem;
}

/* Bundsektion */
.bottomsection {
    padding-bottom: 0;
    position: relative;
    padding-top: 2rem;
}

section {
    display: flex;
    padding-bottom: 50px;
}

/* Centerer indhold horisontalt */
.centrum {
    display: flex;
    justify-content: center;
}

/* Billedsektion */
.image-section {
    position: relative;
    height: 1020px;
    overflow: hidden;
}

/* Tekst overlay */
.text-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 1.5rem;
    text-align: center;
    z-index: 1;
    line-height: 1.3;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent baggrund */
    padding: 40px;
}

/* Tekst overlay i bunden */
.text-overlay-bottom {
    position: absolute;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 1.6em;
    text-align: center;
    z-index: 1;
    line-height: 1.3;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent baggrund */
    padding: 10px;
}

/* Footer sektion */
.footer {
    background: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 20px 0;
    text-align: center;
}

.footer-logo-section {
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
}

.footer-logo-img {
    width: 100px;
}

/* Sociale ikoner i footer */
.footer-social-section {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 20px;
}

.social-icon {
    font-size: 2rem;
    color: antiquewhite;
}

.footer-bottom {
    font-size: 0.8em;
    display: flex;
    justify-content: center;
}

/* Responsiv design til skærme under 1024px */
@media (max-width: 1024px) {
    nav a {
        font-size: 1rem;
    }

    .image-section h1 {
        font-size: 4em;
    }

    .text-overlay,
    .text-overlay-bottom {
        font-size: 1.5rem;
        padding: 10px;
    }
}

/* Responsiv design til skærme under 825px */
@media (max-width: 825px) {
    body {
        display: flex;
        flex-direction: column;
    }

    .burger-menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 40px;
        width: 40px;
        position: relative;
    }

    .burger-menu span {
        height: 3px;
        width: 25px;
        background: white;
        margin: 4px;
        border-radius: 2px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        align-items: center;
        width: 100%;
        background: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 50px; /* Justerer efter headerens højde */
        left: 0;
        padding: 0;
        z-index: 100;
    }

    nav ul.show {
        display: flex;
    }

    nav li {
        margin: 1rem 0;
    }

    nav a {
        padding: 0.5rem 1rem;
        font-size: 1em;
        width: 100%;
        color: white;
        text-decoration: none;
        display: block;
    }

    .navimg {
        padding-left: 0;
        margin-bottom: 1rem;
        display: none;
    }

    .image-section h1 {
        font-size: 1.5em;
        padding: 1rem;
    }

    .image-section {
        height: auto;
    }

    .forside-produkt-sektion {
        display: flex;
        flex-direction: column;
        align-items: center;
        height: auto; /* Sikrer at sektionen får automatisk højde */
    }

    .forside-produkt-sektion img {
        width: auto;
        height: auto;
        max-width: 100%;
    }

    .sectioncolomn {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        margin-bottom: 2rem;
    }

    .text-overlay,
    .text-overlay-bottom {
        font-size: 1em;
        padding: 20px;
    }

    .footer-social-section {
        flex-direction: column;
        gap: 10px;
    }

    .social-icon {
        font-size: 1.5rem;
    }

    .footer-bottom {
        font-size: 0.7em;
    }
}

/* Responsiv design til skærme under 425px */
@media (max-width: 425px) {
    body {
        display: flex;
        flex-direction: column;
    }

    .burger-menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 40px;
        width: 40px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        align-items: center;
        width: 100%;
        background: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 50px; /* Justerer efter headerens højde */
        left: 0;
        padding: 0;
        z-index: 100;
    }

    nav ul.show {
        display: flex;
    }

    nav li {
        width: 100%;
        text-align: center;
        margin: 1rem 0;
    }

    nav a {
        padding: 0.5rem 1rem;
        font-size: 1em;
        width: 100%;
        color: white;
        text-decoration: none;
        display: block;
    }

    .navimg {
        padding-left: 0;
        margin-bottom: 1rem;
    }

    .image-section h1 {
        font-size: 1.5em;
        padding: 1rem;
    }

    .image-section {
        height: 30rem;
    }

    .forside-produkt-sektion {
        display: flex;
        flex-direction: column;
        align-items: center;
        height: auto; /* Sikrer at sektionen får automatisk højde */
    }

    .forside-produkt-sektion img {
        width: auto;
        height: auto;
        max-width: 100%;
    }

    .sectioncolomn {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        margin-bottom: 2rem;
    }

    .text-overlay,
    .text-overlay-bottom {
        font-size: 10px;
        padding: 10px;
    }

    .footer-social-section {
        flex-direction: column;
        gap: 10px;
    }

    .social-icon {
        font-size: 1.5rem;
    }

    .footer-bottom {
        font-size: 0.7em;
    }
}

/* Dropdown menu */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    min-width: 160px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.dropdown:hover .dropdown-content {
    display: block;
}

/* Mobile dropdown styles */
@media (max-width: 768px) {
    .burger-menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 40px;
        width: 40px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        align-items: center;
        width: 100%;
        background: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 100px; /* Justerer efter headerens højde */
        left: 0;
        padding: 0;
        z-index: 100;
    }

    nav ul.show {
        display: flex;
        top: 2rem;
    }

    nav li {
        width: 100%;
        text-align: center;
        margin: 1rem 0;
    }

    nav a {
        padding: 0.5rem 1rem;
        font-size: 1em;
        width: 100%;
        color: white;
        text-decoration: none;
        display: block;
    }

    .navimg {
        display: none;
        margin-bottom: 1rem;
    }

    .dropdown-content {
        position: absolute;
        background-color: rgba(0, 0, 0, 0.8);
        box-shadow: none;
        display: none;
        width: 100%; /* Gør dropdown-menuen fuld bredde i mobilvisning */
    }

    .dropdown.show .dropdown-content {
        display: block;
    }
}
